<?php include('casa/setup.casa.php');
$codigo_venta = substr(sha1(uniqid()),1,9);

include('inc_scripts.php');
$title = 'Lista de Solicitudes de traspaso';

$Usuario = new DB();
$sqlUsuario = "SELECT * FROM rol_usuarios
WHERE us_id = '$USID';";
$Usuario->dbSQL($sqlUsuario);
$Usuario->next();
$sucursal = $Usuario->dbField('ubica_codigo');

echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
.btn{
	font-weight:bold;
	font-size:22px;
	padding:2px 45px;
}
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
									<?php
											$db= new DB();
											$Productos = new DB();
											$User = new DB(); //solicitante
											$Aprobante = new DB(); //usuario almacen que aprobo solicitud
											$Ubicacion = new DB();

											$sql = "SELECT * FROM inventarios_solicitartraspasos 			
											WHERE solic_estado='2'
											GROUP BY solic_codigo
											ORDER BY solic_id DESC;";												
											$db->dbSQL($sql);		
											$ContadorSolicitudes = $db->dbNumRows();
											$html='';	
											while($db->next()){																																							
												$solic_id = $db->dbField('solic_id');																															
												$solic_codigo = $db->dbField('solic_codigo');
											$solic_fecha = $db->dbField('solic_fecha');
											$usuarioid = $db->dbField('us_id');

											$sqlUser = "SELECT * FROM rol_usuarios 
											WHERE us_id = '$usuarioid';";
											$User->dbSQL($sqlUser);
											$User->next();
											$usNombres = $User->dbField('us_nombres').' '.$User->dbField('us_apellidos');
											$usUbicacionCodigo = $User->dbField('ubica_codigo');

											$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones
											WHERE ubica_codigo ='$usUbicacionCodigo';";
											$Ubicacion->dbSQL($sqlUbicacion);
											$Ubicacion->next();
											$usUbicacion = $Ubicacion->dbField('ubica_nombre');
											if($usUbicacion=='') $usUbicacion = 'Central';											
											
											$html.='';
												$html.='<table class="display table table-striped table-hover">
												<thead>
												<tr><td colspan=5><h3>
												<b>N&ordm; Solicitud: </b>0000'.$solic_id.' <br>
												<b>Solicitante: </b> '.$usNombres.' <br>
												<b>Fecha y hora: </b> '.$solic_fecha.' <br></h3></td></tr>
												<tr>													
													<th>Item</th>
													<th>Descripcion</th>
													<th>cantidad</th>
													<th>ubicacion <br> origen</th> 
													<th>ubicacion <br> final</th> 
												</tr>
											</thead>											
											<tbody>';
											$sqlProductos = "SELECT * FROM inventarios_solicitartraspasos solic, inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE solic.solic_ubicacodigo = ubi.ubica_codigo	
											AND solic.prod_codigo = prod.prod_codigo
											AND prod.prod_estado = '1'
											AND solic.solic_estado = '2'
											AND solic.solic_codigo = '$solic_codigo'
											GROUP BY solic.solic_id DESC;";	

											$Productos->dbSQL($sqlProductos);
											$i=0;
											$opc='';
											while($Productos->next()){										
											$i++;
											$prod_id = $Productos->dbField('prod_id');
												$solic_ubicacodigo = $Productos->dbField('solic_ubicacodigo');
													$ubica_nombre = $Productos->dbField('ubica_nombre');			
													$ubica_color = $Productos->dbField('ubica_color');												
												$prod_item = $Productos->dbField('prod_item');
												$prod_codigo = $Productos->dbField('prod_codigo');
												$prod_nombre = $Productos->dbField('prod_nombre');
												$prod_foto = $Productos->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $Productos->dbField('prod_piezascaja');
												$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');	
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
												$prod_preciounitario = $Productos->dbField('prod_preciounitario');
												$prod_preciodocena = $Productos->dbField('prod_preciodocena');
												$prod_preciocajadocena = $Productos->dbField('prod_preciocajadocena');
												$prod_fecha = $Productos->dbField('prod_fecha');
												$prod_observaciones = $Productos->dbField('prod_observaciones');
												  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';
												//solicitudes											
												$solic_cantidadcajas = $Productos->dbField('solic_cantidadcajas');
												$solic_estado = $Productos->dbField('solic_estado');
												$solic_fecha = $Productos->dbField('solic_fecha');
												$solic_aprobadopor = $Productos->dbField('solic_aprobadopor');
												//almacen que aprobo la solicitud
												$sqlAprobante="SELECT * FROM rol_usuarios
												WHERE us_id = '$solic_aprobadopor';";
												$Aprobante->dbSQL($sqlAprobante);
												$Aprobante->next();
												$AprobadoPor = $Aprobante->dbField('us_nombres').' '.$Aprobante->dbField('us_apellidos');

												/*if($solic_estado=='0'){
													$opc = '<a href="'.PATH_HOME.'traspasos-solicitudes-usuarios-almacenimprimir/imprimir&solic_codigo='.$solic_codigo.'&ContadorSolicitudes='.$ContadorSolicitudes.'&ubica_codigo='.$solic_ubicacodigo.'" 
													class="btn btn-danger" style="color:white">
													ENTREGAR AL SOLICITANTE</a>';
												}else{*/
													$opc='<span class="btn btn-default" style="color:white">
													ENTREGADO - Aprobado por: '.$AprobadoPor.'</a>';
												//}

												$html.='<tr>';
												$html.='<td><b>'.$prod_item.'</b></td>';
												$html.='<td><b>'.strtoupper($prod_nombre).'</b>';
												$html.='<td align=center>'.$solic_cantidadcajas.' cajas</td>';
												$html.='<td align=center>
												<span style="background:'.$ubica_color.';padding:3px 7px;border-radius:5px;">'.$ubica_nombre.'</span></b></td>';
												$html.='<td align=center>'.$usUbicacion.'</td>';												
												$html.='</tr>';											
												
												}//wend() $Productos
												$html.='<tr><td colspan=5 align=center>'.$opc.'</td></tr>';												
												$ContadorSolicitudes--;
											}//wend() 
											
											$html.='</tbody></table><hr>';
											echo utf8_encode($html);
											?>													
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		<div id='res'></div>
		
	</div>
</body>
</html>